Bug 14310 - Suspend and resume indvidual holds from patron holds table
[koha.git] / debian / scripts / koha-stop-zebra
blobe6aae7d10d1672f4496894f9a69be8e22217ac12
1 #!/bin/sh
3 # koha-stop-zebra - Stop Zebra for named Koha instances
4 # Copyright 2010 Catalyst IT, Ltd
5 #
6 # This program is free software: you can redistribute it and/or modify
7 # it under the terms of the GNU General Public License as published by
8 # the Free Software Foundation, either version 3 of the License, or
9 # (at your option) any later version.
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
14 # GNU General Public License for more details.
16 # You should have received a copy of the GNU General Public License
17 # along with this program. If not, see <http://www.gnu.org/licenses/>.
19 set -e
21 # include helper functions
22 if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then
23 . "/usr/share/koha/bin/koha-functions.sh"
24 else
25 echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2
26 exit 1
29 stop_zebra_instance()
31 local instancename=$1
33 echo "Stopping Zebra server for $instancename"
34 daemon \
35 --name="$instancename-koha-zebra" \
36 --pidfiles="/var/run/koha/$instancename/" \
37 --errlog="/var/log/koha/$instancename/zebra-error.log" \
38 --stdout="/var/log/koha/$instancename/zebra.log" \
39 --output="/var/log/koha/$instancename/zebra-output.log" \
40 --verbose=1 \
41 --respawn \
42 --delay=30 \
43 --user="$instancename-koha.$instancename-koha" \
44 --stop \
45 -- \
46 zebrasrv \
47 -v none,fatal,warn \
48 -f "/etc/koha/sites/$instancename/koha-conf.xml" && \
49 return 0 || \
50 return 1
53 usage()
55 local scriptname=$0
56 cat <<EOF
57 Stops Zebra for Koha instances.
59 Usage: $scriptname instancename1 instancename2...
61 EOF
64 # Parse command line.
65 #[ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
67 # Loop through the instance names
68 for name in "$@"
70 if is_instance $name ; then
71 if is_zebra_running $name; then
72 if ! stop_zebra_instance $name; then
73 warn "Something went wrong stopping Zebra for $name."
75 else
76 warn "Zebra already stopped for instance $name."
78 else
79 warn "Unknown instance $name."
81 done
83 exit 0